<?php
/*------------------------------------------------------------------------
# "Hot Flashes" Joomla template - November, 2011
# Copyright (C) 2011 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showlogo = $this->countModules('logo');
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');
		$showfooter[5] = $this->countModules('footer5');
		
		$footermodules = 0;
		for ($loop = 1; $loop <= 5; $loop += 1) {
			if($showfooter[$loop]) { $footermodules++; }
		}
		
?>

<?php	// template parameters

		$templateWidth            = $this->params->get("templateWidth", "960");
		$leftColumn            	  = $this->params->get("leftColumn", "172");
		$rightColumn              = $this->params->get("rightColumn", "172");
		$textDirection            = $this->params->get("textDirection", "ltr");
		$copyright = $this->params->get("copyright", "Your Company");
	
     	$mnuFlshesWidth           = $this->params->get("mnuFlshesWidth", "960");
		$mnuFlshesHeight          = $this->params->get("mnuFlshesHeight", "542");
		$mnuFlshesHeightInner     = $this->params->get("mnuFlshesHeightInner", "242");
		$mnuFlshesItemsTopOffset  = $this->params->get("mnuFlshesItemsTopOffset", "450");
		$mnuFlshesRootItemsHieght = $this->params->get("mnuFlshesRootItemsHieght", "50");
		
		// footer1-4 modules width
		if($footermodules) {
			$footer_width = 0;
			$footer_width = ($templateWidth - ($footermodules) * 20) / $footermodules;
			$footer_width = floor($footer_width);
		}
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
			
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
			
			$bodyText 							= $this->params->get("bodyText", "#000000");
			$linksColor 						= $this->params->get("linksColor", "#000000");	
			$componentHeadingText 				= $this->params->get("componentHeadingText", "#000000");
			$headingText 						= $this->params->get("headingText", "#000000");
			$headingHoverText 					= $this->params->get("headingHoverText", "#000000");
			$bodyBg 							= $this->params->get("bodyBg", "#fcffdb");
			$contentAreaBg 						= $this->params->get("contentAreaBg", "#FEFFEE");
			$contentAreaShadow 					= $this->params->get("contentAreaShadow", "#b6ba83");
			$templateBorderWidth 				= $this->params->get("templateBorderWidth", "1");
	    	$templateBorderColor				= '#'.str_replace('#','',$this->params->get("templateBorderColor", "#CCCCCC"));
			$footerText 						= $this->params->get("footerText", "#AAAAAA");
			$mnuFlshesRootItemsColor            = '#'.str_replace('#','',$this->params->get("mnuFlshesRootItemsColor", "#DDDDDD"));
			$mnuFlshesRootItemsBackground       = '#'.str_replace('#','',$this->params->get("mnuFlshesRootItemsBackground", "#333333"));
			$mnuFlshesRootItemsHoverColor       = '#'.str_replace('#','',$this->params->get("mnuFlshesRootItemsHoverColor", "#DDDDDD"));
			$mnuFlshesRootItemsHoverBackground  = '#'.str_replace('#','',$this->params->get("mnuFlshesRootItemsHoverBackground", "#333333"));
			$mnuFlshesRootItemsFontSize         = $this->params->get("mnuFlshesRootItemsFontSize", "14");
			$mnuFlshesSubItemsHieght            = $this->params->get("mnuFlshesSubItemsHieght", "30");
			$mnuFlshesSubItemsColor             = '#'.str_replace('#','',$this->params->get("mnuFlshesSubItemsColor", "#FFFFFF"));
			$mnuFlshesSubItemsFontSize          = $this->params->get("mnuFlshesSubItemsFontSize", "11");
			$mnuFlshesSubItemsHoverColor        = '#'.str_replace('#','',$this->params->get("mnuFlshesSubItemsHoverColor", "#FFFFFF"));
			
		}
?>

<link href="//fonts.googleapis.com/css?family=Dancing+Script:700" rel="stylesheet" type="text/css" />
<link href='//fonts.googleapis.com/css?family=PT+Sans+Caption:400,700' rel='stylesheet' type='text/css' />
<link href="<?php echo $template_path ?>/css/joomla.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $template_path ?>/css/template_css.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $template_path ?>/css/layout.css" rel="stylesheet" type="text/css" />
<?php if($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path; ?>/css/rtl.css" type="text/css" />
<?php } ?>

<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>

<?php JHtml::_('bootstrap.framework', true); ?>

<!-- OPERA FIX -->
<script type="text/javascript">
jQuery(document).ready(function(){
	if (window.opera) {
		jQuery(".content_wrap, .content_wrap_noleft, .content_wrap_noright, .content_wrap_noleft_noright").css('margin-bottom','0');
	}
});
</script>

<!-- FLASHES MENU START -->
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/flashes_menu/menu.php'); ?>
<!-- FLASHES MENU END -->

</head>
<?php 
$menu = JFactory::getApplication()->getMenu();
$lang = JFactory::getLanguage();
?>
<body>
<?php if ($showlogo) { ?>
<div class="flashes_logo"><jdoc:include type="modules" name="logo" /></div>
<?php } ?>
<div class="main_container">
	<div class="<?php if($menu->getActive() == $menu->getDefault($lang->getTag())) { echo 'not_'; } ?>interior_page">
		<?php if ($showuser3) { ?>
        <div id="topmenu">
            <div id="topmenu_pad">
                <jdoc:include type="modules" name="user3" />
            </div>
        </div>
        <div class="clr"></div>
        <?php } ?>
        <div class="<?php if($menu->getActive() == $menu->getDefault($lang->getTag())) { echo 'not_'; } ?>main_area">
            <?php if ($showleft) { ?>
            <div class="column_left">
                <div class="column_left_pad">
                    <jdoc:include type="modules" name="left" style="xhtml" />
                </div>
            </div>
            <?php } ?>
            <div class="content_wrap<?php if (!$showleft) { echo "_noleft"; } if (!$showright) { echo "_noright"; } ?>">
                <div class="content_pad">
                    <?php if ($showuser1) { ?>
                    <div class="module_user1">
                        <jdoc:include type="modules" name="user1" style="xhtml" />
                    </div>
                    <?php } ?>
                    <div class="article_pad">
                        <jdoc:include type="message" />
                        <jdoc:include type="component" />
                    </div>
                    <?php if ($showuser2) { ?>
                    <div class="module_user2">
                        <jdoc:include type="modules" name="user2" style="xhtml" />
                    </div>
                    <?php } ?>
                </div>
            </div>
            <?php if ($showright) { ?>
            <div class="column_right">
                <div class="column_right_pad">
                    <jdoc:include type="modules" name="right" style="xhtml" />
                </div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
		<div class="clr"></div>
    </div>
	<div class="clr"></div>
</div>
<?php if ($footermodules) { ?>
<div class="footer_wrap">
    <div class="footer_content">
        <?php if($showfooter[1]) { ?>
        <div class="module_padding <?php if (!$showfooter[2] && !$showfooter[3] && !$showfooter[4] && !$showfooter[5]) { echo "lastmodule"; } ?>">
            <jdoc:include type="modules" name="footer1" style="xhtml" />
        </div>
        <?php } if($showfooter[2]) { ?>
        <div class="module_padding <?php if (!$showfooter[3] && !$showfooter[4] && !$showfooter[5]) { echo "lastmodule"; } ?>">
            <jdoc:include type="modules" name="footer2" style="xhtml" />
        </div>
        <?php } if($showfooter[3]) { ?>
        <div class="module_padding <?php if (!$showfooter[4] && !$showfooter[5]) { echo "lastmodule"; } ?>">
            <jdoc:include type="modules" name="footer3" style="xhtml" />
        </div>
        <?php } if($showfooter[4]) { ?>
        <div class="module_padding <?php if (!$showfooter[5]) { echo "lastmodule"; } ?>">
            <jdoc:include type="modules" name="footer4" style="xhtml" />
        </div>
        <?php } if($showfooter[5]) { ?>
        <div class="module_padding lastmodule">
            <jdoc:include type="modules" name="footer5" style="xhtml" />
        </div>
        <?php } ?>
    <div class="clr"></div>
    </div>
</div>
<?php } ?>
<div class="flashes_copyright">
	<jdoc:include type="modules" name="bottom" style="none" />
	<p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. Template by Hot Joomla Templates.</p>
</div>
<jdoc:include type="modules" name="debug" style="none" />
</body>
</html>